Subject: [mile] IODEF Enum Reference Format - Unicode support?

From: "Black, David" <[email-masked]>
Date: Thu, 6 Dec 2012 14:03:26 -0500

Hi Adam,

Allow me to (try to) answer your question with another question :-) ...

> * Should this draft support Unicode characters?  

Does anyone know of any spec whose enumerations need non-ASCII Unicode
characters now?  If so, what do that spec's enumeration identifiers look
like as character strings?

> IODEF presently does not
> support the Unicode character set, but I presume this will be one of the
> addressed concerns when work on 5070-bis begins.  Still, at issue is whether
> Unicode support should simply be called out now rather than rely on 5070
> rework.

Uhm - I'm afraid that "simply called out" Unicode support tends to be in
the same mythical category as Santa Claus, the Tooth Fairy and the Easter
Bunny ;-).  I might suggest caution about what is wished for here.

Thanks,
--David

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Adam
> Montville
> Sent: Friday, November 30, 2012 9:52 AM
> To: <[email-masked]>
> Subject: [mile] Working on IODEF Enum Reference Format
> 
> All:
> 
> I'm working on the IODEF Enumeration Reference Format draft.  Several
> suggestions have been made since 02 publication during the week in Atlanta.
> Here's what's happening now:
> 
> * Abstract is being narrowed to the scope of IODEF exclusively
> 
> * The term "enumeration identifiers" is used consistently
> 
> * Additional guidance for <Abbreviation> and <Version> is provided
> 
> * Format of ReferenceName string is id_type:version:id
> 
> Open Questions:
> 
> * Should this draft support Unicode characters?  IODEF presently does not
> support the Unicode character set, but I presume this will be one of the
> addressed concerns when work on 5070-bis begins.  Still, at issue is whether
> Unicode support should simply be called out now rather than rely on 5070
> rework.
> 
> Thoughts?
> 
> Adam
> 
> _______________________________________________
> mile mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mile